From: Michael Toren <mct@toren.net>
Date: Fri, 5 May 2017 11:43:40 -0700
Subject: Call `pcap_lib_version()` rather than access `pcap_version` directly

Closes #5

Thanks!

Applied-Upstream: https://github.com/mct/tcptraceroute/commit/3772409867b3c5591c50d69f0abacf780c3a555f
---
 capture.h | 2 --
 main.c    | 4 ++--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/capture.h b/capture.h
index 43e02e7..8e62be4 100644
--- a/capture.h
+++ b/capture.h
@@ -20,8 +20,6 @@
  * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
  */
 
-extern char pcap_version[];
-
 extern pcap_t *pcap;
 extern int pcap_fd;
 
diff --git a/main.c b/main.c
index 6ede131..ff22bc0 100644
--- a/main.c
+++ b/main.c
@@ -408,8 +408,8 @@ int main(int argc, char **argv)
 			case 'd':
 				o_debug++;
 				debug("%s %s\n", PACKAGE, VERSION);
-				debug("Compiled with libpcap %s, libnet %s (API %d)\n",
-					pcap_version, LIBNET_VERSION, LIBNET_API_VERSION);
+				debug("Compiled with %s; libnet %s (API %d)\n",
+					pcap_lib_version(), LIBNET_VERSION, LIBNET_API_VERSION);
 				break;
 
 			case 'n':
